<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
ProgressStep Method (IEdmUnlockOpCallback)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmUnlockOpCallback Interface : ProgressStep Method (IEdmUnlockOpCallback)

Visual Basic
C#
C++/CLI

eType
  Type of progress bar to advance as defined in EdmProgressType

bsText
  Message that indicates what the operation is doing

lProgressPos
  New position in the progress bar

Called to advance a progress bar.

# Syntax

Visual Basic |
--- | ---

    Function ProgressStep( _
       ByVal eType As EdmProgressType, _
       ByVal bsText As System.String, _
       ByVal lProgressPos As System.Integer _
    ) As System.Boolean

C# |
--- | ---

    System.bool ProgressStep(
       EdmProgressType eType,
       System.string bsText,
       System.int lProgressPos
    )

C++/CLI |
--- | ---

    System.bool ProgressStep(
    &   EdmProgressType eType,
    &   System.String^ bsText,
    &   System.int lProgressPos
    )

#### Parameters

eType
  Type of progress bar to advance as defined in EdmProgressType
bsText
  Message that indicates what the operation is doing
lProgressPos
  New position in the progress bar

#### Return Value

True to continue the operation, false to cancel it

# Example

See the IEdmUnlockOpCallback examples.

# Remarks

This method or IEdmUnlockOpCallback::ProgressStepEvent is called for each step in an operation that begins with IEdmUnlockOpCallback::ProgressBegin.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmUnlockOpCallback Interface
IEdmUnlockOpCallback Members

# Availability

SOLIDWORKS PDM Professional Version 6.3